Restowing
Endpoints to manipulate restowing items.
This part of the API is in Beta status. For details, see the API release lifecycle documentation. Get all restow items
Reference to the facility you want to get the corresponding restows
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fReference restowed status of the restow items
all entities after given Id
number of entities to show
25Example: 25query orderBy
Restow items were found. The results are in the body.
RestowedItems
Total number of found entities for this query
42Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/restowitems HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"restowedItems": [
{
"article": {
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
],
"customAttributes": {},
"imageUrl": "https://example.com/resource",
"tenantArticleId": "4711",
"title": "Cologne Water",
"weight": 1
},
"created": "2020-02-03T08:45:51.525Z",
"customAttributes": {},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"globalLineItemId": "text",
"id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
"lastModified": "2020-02-03T09:45:51.525Z",
"location": {
"locationRef": "text",
"scannableCodes": [
"text"
]
},
"measurementUnitKey": "pcs",
"operativeProcessRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"quantity": 1,
"recordableAttributes": [
{
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"group": "general",
"id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
"key": "country of origin",
"originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
"recordingRule": "MANDATORY",
"value": "Germany"
}
],
"restowed": true,
"scannableCodes": [
"text"
],
"secondaryMeasurementUnitKey": "g",
"secondaryQuantity": 42,
"status": "CANCELED",
"stockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"version": 42
}
],
"total": 42
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Get restow item by id
RestowItem was found & you were allowed to access it. The result is in the body.
RestowItem
The date this entity was created by fulfillmenttools. This value is generated by the service.
2020-02-03T08:45:51.525ZAttributes that can be added to the lineItem. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.
The id of the facility reference. The given ID has to be present in the system.
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fThis ID is used to identify if this line item is related to the line item of other operational entities.
ID of the recordable attribute
17ebfdfb-e1b4-4913-9962-3aef2b49f16fThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZMeasurement unit key of the item, for example "pcs" or "kg"
pcsid of the connected operative process if available
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fid of the connected process if available
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fThe quantity of the lineItem
Indicates if the restowItem has been restowed
trueCodes that can be used for scanning this lineItem
Identifier for items unit of measurement. E.g. measurementUnitKey is pieces and secondaryMeasurementUnitKey is gram
gsecondary quantity of this item, e.g. quantity is the count and secondaryQuantity is the weight
42Status of the restow item
id of the stock entity for this line item
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fThe version of the document to be used in optimistic locking mechanisms.
42Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
GET /api/restowitems/{restowItemId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"article": {
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
],
"customAttributes": {},
"imageUrl": "https://example.com/resource",
"tenantArticleId": "4711",
"title": "Cologne Water",
"weight": 1
},
"created": "2020-02-03T08:45:51.525Z",
"customAttributes": {},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"globalLineItemId": "text",
"id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
"lastModified": "2020-02-03T09:45:51.525Z",
"location": {
"locationRef": "text",
"scannableCodes": [
"text"
]
},
"measurementUnitKey": "pcs",
"operativeProcessRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"quantity": 1,
"recordableAttributes": [
{
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"group": "general",
"id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
"key": "country of origin",
"originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
"recordingRule": "MANDATORY",
"value": "Germany"
}
],
"restowed": true,
"scannableCodes": [
"text"
],
"secondaryMeasurementUnitKey": "g",
"secondaryQuantity": 42,
"status": "CANCELED",
"stockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"version": 42
}This part of the API is deprecated. For details, see the API release lifecycle documentation. Deprecated, please use /api/restowitems/{restowItemId}/actions
RestowItemPatchActions
The version of the document to be used in optimistic locking mechanisms.
42RestowItem was found & patch-set has been applied. The patched restow item is in the body.
RestowItem
The date this entity was created by fulfillmenttools. This value is generated by the service.
2020-02-03T08:45:51.525ZAttributes that can be added to the lineItem. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.
The id of the facility reference. The given ID has to be present in the system.
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fThis ID is used to identify if this line item is related to the line item of other operational entities.
ID of the recordable attribute
17ebfdfb-e1b4-4913-9962-3aef2b49f16fThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZMeasurement unit key of the item, for example "pcs" or "kg"
pcsid of the connected operative process if available
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fid of the connected process if available
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fThe quantity of the lineItem
Indicates if the restowItem has been restowed
trueCodes that can be used for scanning this lineItem
Identifier for items unit of measurement. E.g. measurementUnitKey is pieces and secondaryMeasurementUnitKey is gram
gsecondary quantity of this item, e.g. quantity is the count and secondaryQuantity is the weight
42Status of the restow item
id of the stock entity for this line item
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fThe version of the document to be used in optimistic locking mechanisms.
42Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
A version conflict occurred.
PATCH /api/restowitems/{restowItemId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 132
{
"actions": [
{
"action": "ModifyRestowItem",
"location": {
"locationRef": "text",
"scannableCodes": [
"text"
]
},
"restowed": true
}
],
"version": 42
}{
"article": {
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
],
"customAttributes": {},
"imageUrl": "https://example.com/resource",
"tenantArticleId": "4711",
"title": "Cologne Water",
"weight": 1
},
"created": "2020-02-03T08:45:51.525Z",
"customAttributes": {},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"globalLineItemId": "text",
"id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
"lastModified": "2020-02-03T09:45:51.525Z",
"location": {
"locationRef": "text",
"scannableCodes": [
"text"
]
},
"measurementUnitKey": "pcs",
"operativeProcessRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"quantity": 1,
"recordableAttributes": [
{
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"group": "general",
"id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
"key": "country of origin",
"originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
"recordingRule": "MANDATORY",
"value": "Germany"
}
],
"restowed": true,
"scannableCodes": [
"text"
],
"secondaryMeasurementUnitKey": "g",
"secondaryQuantity": 42,
"status": "CANCELED",
"stockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"version": 42
}Call available actions on restow item
Updated RestowItem in the body.
RestowItem
The date this entity was created by fulfillmenttools. This value is generated by the service.
2020-02-03T08:45:51.525ZAttributes that can be added to the lineItem. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.
The id of the facility reference. The given ID has to be present in the system.
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fThis ID is used to identify if this line item is related to the line item of other operational entities.
ID of the recordable attribute
17ebfdfb-e1b4-4913-9962-3aef2b49f16fThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZMeasurement unit key of the item, for example "pcs" or "kg"
pcsid of the connected operative process if available
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fid of the connected process if available
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fThe quantity of the lineItem
Indicates if the restowItem has been restowed
trueCodes that can be used for scanning this lineItem
Identifier for items unit of measurement. E.g. measurementUnitKey is pieces and secondaryMeasurementUnitKey is gram
gsecondary quantity of this item, e.g. quantity is the count and secondaryQuantity is the weight
42Status of the restow item
id of the stock entity for this line item
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fThe version of the document to be used in optimistic locking mechanisms.
42Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
POST /api/restowitems/{restowItemId}/actions HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 89
{
"location": {
"locationRef": "text",
"scannableCodes": [
"text"
]
},
"name": "RESTOW",
"version": 1
}{
"article": {
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
],
"customAttributes": {},
"imageUrl": "https://example.com/resource",
"tenantArticleId": "4711",
"title": "Cologne Water",
"weight": 1
},
"created": "2020-02-03T08:45:51.525Z",
"customAttributes": {},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"globalLineItemId": "text",
"id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
"lastModified": "2020-02-03T09:45:51.525Z",
"location": {
"locationRef": "text",
"scannableCodes": [
"text"
]
},
"measurementUnitKey": "pcs",
"operativeProcessRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"quantity": 1,
"recordableAttributes": [
{
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"group": "general",
"id": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
"key": "country of origin",
"originId": "17ebfdfb-e1b4-4913-9962-3aef2b49f16f",
"recordingRule": "MANDATORY",
"value": "Germany"
}
],
"restowed": true,
"scannableCodes": [
"text"
],
"secondaryMeasurementUnitKey": "g",
"secondaryQuantity": 42,
"status": "CANCELED",
"stockRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"version": 42
}Last updated
Was this helpful?

